Bug 1368848 (rubygem-mercenary) - Review Request: rubygem-mercenary - An easier way to build your command-line scripts in Ruby
Summary: Review Request: rubygem-mercenary - An easier way to build your command-line ...
Keywords:
Status: CLOSED ERRATA
Alias: rubygem-mercenary
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: rubygem-jekyll
TreeView+ depends on / blocked
 
Reported: 2016-08-21 20:47 UTC by Björn 'besser82' Esser
Modified: 2016-09-28 22:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-28 17:15:19 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2016-08-21 20:47:11 UTC
Description:

  Lightweight and flexible library for writing command-line apps in Ruby.


Koji Build:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=15327877


Issues:

  no issues reported from rpmlint


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/jekyll/rubygem-mercenary.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/jekyll/rubygem-mercenary-0.3.6-0.1.fc26.src.rpm


Thanks for review in advance!

Comment 1 gil cattaneo 2016-08-23 16:38:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains Requires: ruby(release).


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 23 files have
     unknown license. Detailed output of licensecheck in /home/gil/1368848
     -rubygem-mercenary/licensecheck.txt
     
 Source files without license headers:
    mercenary-0.3.6/examples/help_dialogue.rb
    mercenary-0.3.6/examples/logging.rb
    mercenary-0.3.6/examples/trace.rb
    mercenary-0.3.6/lib/mercenary.rb
    mercenary-0.3.6/lib/mercenary/command.rb
    mercenary-0.3.6/lib/mercenary/option.rb
    mercenary-0.3.6/lib/mercenary/presenter.rb
    mercenary-0.3.6/lib/mercenary/program.rb
    mercenary-0.3.6/lib/mercenary/version.rb
    mercenary-0.3.6/script/bootstrap
    mercenary-0.3.6/script/cibuild
    mercenary-0.3.6/script/console
    mercenary-0.3.6/script/examples
    mercenary-0.3.6/spec/command_spec.rb
    mercenary-0.3.6/spec/option_spec.rb
    mercenary-0.3.6/spec/presenter_spec.rb
    mercenary-0.3.6/spec/program_spec.rb
    mercenary-0.3.6/spec/spec_helper.rb
 Please, report to upstream
 
[!]: License file installed when any subpackage combination is installed.

  Please, add also License file in doc sub package
  
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems/cache,
     /usr/share/gems, /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[?]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     mercenary-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem package should exclude cached Gem.
[!]: Test suite of the library should be run.
[!]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %{gem_libdir}, %exclude
     %{gem_cache}
[x]: Gem should use %gem_install macro.
[x]: gems should not require rubygems package

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-mercenary-0.3.6-0.1.fc26.noarch.rpm
          rubygem-mercenary-doc-0.3.6-0.1.fc26.noarch.rpm
          rubygem-mercenary-0.3.6-0.1.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
rubygem-mercenary-doc (rpmlib, GLIBC filtered):

rubygem-mercenary (rpmlib, GLIBC filtered):
    /usr/bin/ruby
    ruby(rubygems)



Provides
--------
rubygem-mercenary-doc:
    rubygem-mercenary-doc

rubygem-mercenary:
    rubygem(mercenary)
    rubygem-mercenary



Source checksums
----------------
https://rubygems.org/downloads/mercenary-0.3.6.gem :
  CHECKSUM(SHA256) this package     : 2a084b18f5692c86a633e185d5311ba6d11fc46c802eb414ae05368178078a82
  CHECKSUM(SHA256) upstream package : 2a084b18f5692c86a633e185d5311ba6d11fc46c802eb414ae05368178078a82


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1368848 --plugins Ruby -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 gil cattaneo 2016-08-23 16:41:02 UTC
Issues:
=======
- Package contains Requires: ruby(release).


[!]: Gem package should exclude cached Gem.
[!]: Test suite of the library should be run.
[!]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %{gem_libdir}, %exclude
     %{gem_cache}

NON blocking issues:
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 23 files have
     unknown license. Detailed output of licensecheck in /home/gil/1368848
     -rubygem-mercenary/licensecheck.txt
     
 Source files without license headers:
    mercenary-0.3.6/examples/help_dialogue.rb
    mercenary-0.3.6/examples/logging.rb
    mercenary-0.3.6/examples/trace.rb
    mercenary-0.3.6/lib/mercenary.rb
    mercenary-0.3.6/lib/mercenary/command.rb
    mercenary-0.3.6/lib/mercenary/option.rb
    mercenary-0.3.6/lib/mercenary/presenter.rb
    mercenary-0.3.6/lib/mercenary/program.rb
    mercenary-0.3.6/lib/mercenary/version.rb
    mercenary-0.3.6/script/bootstrap
    mercenary-0.3.6/script/cibuild
    mercenary-0.3.6/script/console
    mercenary-0.3.6/script/examples
    mercenary-0.3.6/spec/command_spec.rb
    mercenary-0.3.6/spec/option_spec.rb
    mercenary-0.3.6/spec/presenter_spec.rb
    mercenary-0.3.6/spec/program_spec.rb
    mercenary-0.3.6/spec/spec_helper.rb
 Please, report to upstream
 
[!]: License file installed when any subpackage combination is installed.

  Please, add also License file in doc sub package

Please fix before import
Approved

Comment 3 Gwyn Ciesla 2016-08-23 17:05:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-mercenary

Comment 4 Fedora Update System 2016-08-23 17:25:14 UTC
rubygem-colorator-1.1.0-1.fc25 rubygem-mercenary-0.3.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 5 Fedora Update System 2016-08-23 17:25:40 UTC
rubygem-colorator-1.1.0-1.el7 rubygem-mercenary-0.3.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d40c22c4e

Comment 6 Fedora Update System 2016-08-23 17:26:11 UTC
rubygem-colorator-1.1.0-1.el6 rubygem-mercenary-0.3.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-caa664f1d5

Comment 7 Fedora Update System 2016-08-23 17:26:32 UTC
rubygem-colorator-1.1.0-1.fc24 rubygem-mercenary-0.3.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-251f7325a0

Comment 8 Fedora Update System 2016-08-23 23:20:21 UTC
rubygem-colorator-1.1.0-1.fc25, rubygem-forwardable-extended-2.6.0-1.fc25, rubygem-jekyll-sass-converter-1.4.0-1.fc25, rubygem-jekyll-watch-1.5.0-2.fc25, rubygem-mercenary-0.3.6-1.fc25, rubygem-pathutil-0.14.0-1.fc25, rubygem-rouge-1.11.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 9 Fedora Update System 2016-08-24 07:54:03 UTC
rubygem-colorator-1.1.0-1.fc25 rubygem-forwardable-extended-2.6.0-1.fc25 rubygem-jekyll-3.2.1-1.fc25 rubygem-jekyll-sass-converter-1.4.0-1.fc25 rubygem-jekyll-watch-1.5.0-2.fc25 rubygem-mercenary-0.3.6-1.fc25 rubygem-pathutil-0.14.0-1.fc25 rubygem-rouge-1.11.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 10 Fedora Update System 2016-08-24 17:24:52 UTC
rubygem-colorator-1.1.0-1.fc24, rubygem-forwardable-extended-2.6.0-1.fc24, rubygem-jekyll-3.2.1-1.fc24, rubygem-jekyll-sass-converter-1.4.0-1.fc24, rubygem-jekyll-watch-1.5.0-1.fc24, rubygem-mercenary-0.3.6-1.fc24, rubygem-pathutil-0.14.0-1.fc24, rubygem-rouge-1.11.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-251f7325a0

Comment 11 Fedora Update System 2016-08-24 21:18:02 UTC
rubygem-colorator-1.1.0-1.el6, rubygem-forwardable-extended-2.6.0-1.el6, rubygem-jekyll-sass-converter-1.4.0-1.el6, rubygem-jekyll-watch-1.5.0-1.el6, rubygem-mercenary-0.3.6-1.el6, rubygem-pathutil-0.14.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-caa664f1d5

Comment 12 Fedora Update System 2016-08-24 21:20:25 UTC
rubygem-colorator-1.1.0-1.el7, rubygem-forwardable-extended-2.6.0-1.el7, rubygem-jekyll-sass-converter-1.4.0-1.el7, rubygem-jekyll-watch-1.5.0-1.el7, rubygem-mercenary-0.3.6-1.el7, rubygem-pathutil-0.14.0-1.el7, rubygem-rouge-1.11.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d40c22c4e

Comment 13 Fedora Update System 2016-08-25 09:29:23 UTC
rubygem-colorator-1.1.0-1.fc25, rubygem-forwardable-extended-2.6.0-1.fc25, rubygem-jekyll-3.2.1-1.fc25, rubygem-jekyll-sass-converter-1.4.0-1.fc25, rubygem-jekyll-watch-1.5.0-2.fc25, rubygem-mercenary-0.3.6-1.fc25, rubygem-pathutil-0.14.0-1.fc25, rubygem-rouge-1.11.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 14 Fedora Update System 2016-08-28 17:14:58 UTC
rubygem-colorator-1.1.0-1.fc25, rubygem-forwardable-extended-2.6.0-1.fc25, rubygem-jekyll-3.2.1-1.fc25, rubygem-jekyll-sass-converter-1.4.0-1.fc25, rubygem-jekyll-watch-1.5.0-2.fc25, rubygem-mercenary-0.3.6-1.fc25, rubygem-pathutil-0.14.0-1.fc25, rubygem-rouge-1.11.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-28 01:56:44 UTC
rubygem-colorator-1.1.0-1.fc24, rubygem-forwardable-extended-2.6.0-1.fc24, rubygem-jekyll-3.2.1-1.fc24, rubygem-jekyll-sass-converter-1.4.0-1.fc24, rubygem-jekyll-watch-1.5.0-1.fc24, rubygem-mercenary-0.3.6-1.fc24, rubygem-pathutil-0.14.0-1.fc24, rubygem-rouge-1.11.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-09-28 19:17:50 UTC
rubygem-colorator-1.1.0-1.el7, rubygem-forwardable-extended-2.6.0-1.el7, rubygem-jekyll-sass-converter-1.4.0-1.el7, rubygem-jekyll-watch-1.5.0-1.el7, rubygem-mercenary-0.3.6-1.el7, rubygem-pathutil-0.14.0-1.el7, rubygem-rouge-1.11.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-09-28 22:17:28 UTC
rubygem-colorator-1.1.0-1.el6, rubygem-forwardable-extended-2.6.0-1.el6, rubygem-jekyll-sass-converter-1.4.0-1.el6, rubygem-jekyll-watch-1.5.0-1.el6, rubygem-mercenary-0.3.6-1.el6, rubygem-pathutil-0.14.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.